$(function() {
	jQuery.validator.addMethod("strongPassword", function (value, element) {
		var password = $(element).val();
		if(password.length > 0){
			var validLength = /.{8}/.test(password);
			var hasCaps = /[A-Z]/.test(password);
			var hasNums = /\d/.test(password);
			var hasSpecials = /[~!,@#%&_\$\^\*\?\-]/.test(password);
	
			var isValid = validLength && hasCaps && hasNums && hasSpecials;
	
			return isValid;
		} else {
			return true;
		}
	}, "");

	function frmAccountUpdate2_Submit_click(){
		$.mobile.showPageLoadingMsg();
		var jqxhr = $.post("https://xymobile.xytex.com/myxytex-update-account-mobile.cfm", 
		{
			mobileSessionID : $('#hdnSessionID').val(),
			doUpdate : 1,
			firstname : $('#frmAccountUpdate2_firstname').val(),
			lastname : $('#frmAccountUpdate2_lastname').val(),
			emailaddress : $('#frmAccountUpdate2_email').val(),
			oldemailaddress : $('#frmAccountUpdate2_oldemailaddress').val(),
			mothername : $('#frmAccountUpdate2_MotherMaidenName').val(),
			password : $('#frmAccountUpdate2_password').val(),
			passwordconfirm : $('#frmAccountUpdate2_confirmPassword').val(),
			mysubmit : $(this).html()
		},
		function(data) {  
			if(data == "Unauthorized Access") {
				clearLogin();
			} else {
				$('.account_update_result').html(data);
				$('.account_update_result .btn').button();
				$.mobile.changePage( $('#xytex_account_update_result'), { transition: "slide"} );
			}
		})
		.done(function() { 
			//alert("second success"); 
		})
		.fail(function(data) { 
			$('.account_update_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
			$.mobile.changePage( $('#xytex_account_update_result'), { transition: "slide"} );
		})
		.always(function() { 
			$.mobile.hidePageLoadingMsg();
		}); 
		return false;
	}

    $('#frmAccountUpdate').validate({
        rules: {
			frmAccountUpdate_firstname:{
				required: true
			},
			frmAccountUpdate_lastname:{
				required: true
			},
            frmAccountUpdate_email: {
                required: true,
				email: true
            },
			frmAccountUpdate_MotherMaidenName:{
				required: true
			},
            frmAccountUpdate_password: {
				strongPassword: true
            },
			frmAccountUpdate_confirmPassword: {
				equalTo: "#frmAccountUpdate_password"
            }
        },
        messages: {
			frmAccountUpdate_firstname:{
				required: "First Name required."
			},
			frmAccountUpdate_lastname:{
				required: "Last Name required."
			},
            frmAccountUpdate_email: {
				required: "Email required.",
				email: "Invalid email."
            },
			frmAccountUpdate_MotherMaidenName:{
				required: "Mother's Maiden Name required."
			},
            frmAccountUpdate_password: {
				strongPassword: "Password must be 8 characters long and must contain a digit, a small alphabet, a capital alphabet and a special char (&%#...)"
            },
			frmAccountUpdate_confirmPassword: {
				equalTo: "Password/Confirm Password doesn't match."
            }

        },
        errorPlacement: function (error, element) {
            if (element.is('select')) {
                error.insertAfter(element.parents('div.ui-select'));
			} else {
                error.insertAfter(element.parent('div'));
            }
        },
		submitHandler: function(form) {
			$.mobile.showPageLoadingMsg();
			var jqxhr = $.post("https://xymobile.xytex.com/myxytex-update-account-mobile.cfm", 
			{
				mobileSessionID : $('#hdnSessionID').val(),
				doUpdate : 1,
				firstname : $('#frmAccountUpdate_firstname').val(),
				lastname : $('#frmAccountUpdate_lastname').val(),
				emailaddress : $('#frmAccountUpdate_email').val(),
				oldemailaddress : $('#frmAccountUpdate_oldemailaddress').val(),
				mothername : $('#frmAccountUpdate_MotherMaidenName').val(),
				password : $('#frmAccountUpdate_password').val(),
				passwordconfirm : $('#frmAccountUpdate_confirmPassword').val()
			},
			function(data) {  
				if(data == "Unauthorized Access") {
					clearLogin();
				} else {
					$('.account_update_result').html(data);
					$('.account_update_result .btn').button();
					$('.account_update_result .frmAccountUpdate2_Submit').button();
					// When user changed their email address server then return the form data back with a question for the user about whether they want to add this new email address in the subscriber list.
					$(".frmAccountUpdate2_Submit").on("click", frmAccountUpdate2_Submit_click);
					$.mobile.changePage( $('#xytex_account_update_result'), { transition: "slide"} );
				}
			})
			.done(function() { 
				//alert("second success"); 
			})
			.fail(function(data) { 
				$('.account_update_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
				$.mobile.changePage( $('#xytex_account_update_result'), { transition: "slide"} );
			})
			.always(function() { 
				$.mobile.hidePageLoadingMsg();
			}); 
	
			return false;
		}
	});
});