$(function() {
    $('#frmProfilePayment').validate({
        rules: {
            frmProfilePayment_FirstName: {
                required: true
            },
            frmProfilePayment_LastName: {
                required: true
            },
            frmProfilePayment_Address: {
                required: true
            },
            frmProfilePayment_City: {
                required: true
            },
            frmProfilePayment_State: {
                required: true
            },
            frmProfilePayment_Zip: {
                required: true
            },
            frmProfilePayment_Country: {
                required: true
            },
            frmProfilePayment_EmailAddress: {
                required: true,
				email: true
            },
            frmProfilePayment_CreditCardNumber: {
                required: true
            },
            frmProfilePayment_ExpirationMM: {
                required: true
            },
            frmProfilePayment_ExpirationYYYY: {
                required: true
            }
        },
        messages: {
            frmProfilePayment_FirstName: {
                required: "First name required."
            },
            frmProfilePayment_LastName: {
                required: "Last name required."
            },
            frmProfilePayment_Address: {
                required: "Address required."
            },
            frmProfilePayment_City: {
                required: "City required."
            },
            frmProfilePayment_State: {
                required: "State required."
            },
            frmProfilePayment_Zip: {
                required: "Zip required."
            },
            frmProfilePayment_Country: {
                required: "Country required."
            },
			frmProfilePayment_EmailAddress: {
				required: "Email required.",
				email: "Invalid email."
 			},
            frmProfilePayment_CreditCardNumber: {
                required: "Credit Card Number required."
            },
            frmProfilePayment_ExpirationMM: {
                required: "Expiry Month required."
            },
            frmProfilePayment_ExpirationYYYY: {
                required: "Expiry Year required."
            }
        },
        errorPlacement: function (error, element) {
            if (element.is('select')) {
                error.insertAfter(element.parents('div.ui-select'));
			} else {
                error.insertAfter(element.parent('div'));
            }
        },
		submitHandler: function(form) {
			$.mobile.showPageLoadingMsg();
			var jqxhr = $.post("https://xymobile.xytex.com/purchase_togateway-mobile.cfm", 
			{
				mobileSessionID : $('#hdnSessionID').val(),
				donorid : $('#frmProfilePayment_Donorid').val(),
				AMOUNT_OF_PURCHASE : $('#frmProfilePayment_PurchaseAmount').val(),
				PACKAGE_ORDERED : $('#frmProfilePayment_PackageOrdered').val(),
				CUSTOMER_FIRST_NAME : $('#frmProfilePayment_FirstName').val(),
				CUSTOMER_LAST_NAME : $('#frmProfilePayment_LastName').val(),
				CUSTOMER_ADDRESS : $('#frmProfilePayment_Address').val(),
				CUSTOMER_CITY : $('#frmProfilePayment_City').val(),
				CUSTOMER_STATE : $('#frmProfilePayment_State').val(),
				CUSTOMER_OTHERSTATE : $('#frmProfilePayment_OtherState').val(),
				CUSTOMER_ZIP : $('#frmProfilePayment_Zip').val(),
				CUSTOMER_COUNTRY : $('#frmProfilePayment_Country').val(),
				CUSTOMER_EMAIL : $('#frmProfilePayment_EmailAddress').val(),
				CUSTOMER_CARD_NUMBER : $('#frmProfilePayment_CreditCardNumber').val(),
				EXPMM : $('#frmProfilePayment_ExpirationMM').val(),
				EXPYY : $('#frmProfilePayment_ExpirationYYYY').val()
			},
			function(data) {  
				$('#hdnPaymentResponseString').val(data);
				$.mobile.changePage( $('#xytex_payment_response'), { transition: "slide"} );
			})
			.done(function() { 
				//alert("second success"); 
			})
			.fail(function(data) { 
				$('.payment_response_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
				$.mobile.changePage( $('#xytex_payment_response'), { transition: "slide"} );
			})
			.always(function() { 
				$.mobile.hidePageLoadingMsg();
			}); 
			return false;
		}
	});
});